Qt 5.11 | Qt Multimedia | C++ Classes | QAudioEncoderSettingsControl

Qt 5.11.3 Reference Documentation

# QAudioEncoderSettingsControl Class

The QAudioEncoderSettingsControl class provides access to the settings of a media service that performs audio encoding. More...

Header: | #include <QAudioEncoderSettingsControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QAudioEncoderSettingsControl()
virtual QAudioEncoderSettings | audioSettings() const = 0
virtual QString | codecDescription(const QString &codecName) const = 0
virtual void | setAudioSettings(const QAudioEncoderSettings &settings) = 0
virtual QStringList | supportedAudioCodecs() const = 0
virtual QList<int> | supportedSampleRates(const QAudioEncoderSettings &settings, bool *continuous = nullptr) const = 0

## Protected Functions

| QAudioEncoderSettingsControl(QObject *parent = nullptr)

## Macros

| QAudioEncoderSettingsControl_iid

## Detailed Description

The QAudioEncoderSettingsControl class provides access to the settings of a media service that performs audio encoding.

If a QMediaService supports encoding audio data it will implement QAudioEncoderSettingsControl. This control provides information about the limits of restricted audio encoder options and allows the selection of a set of audio encoder settings as specified in a QAudioEncoderSettings object.

The functionality provided by this control is exposed to application code through the QMediaRecorder class.

The interface name of QAudioEncoderSettingsControl is `org.qt-project.qt.audioencodersettingscontrol/5.0` as defined in QAudioEncoderSettingsControl_iid.

See also QMediaService::requestControl() and QMediaRecorder.

## Member Function Documentation

### `[protected]` QAudioEncoderSettingsControl::QAudioEncoderSettingsControl(QObject *parent = nullptr)

Create a new audio encoder settings control object with the given parent.

### `[virtual]` QAudioEncoderSettingsControl::~QAudioEncoderSettingsControl()

Destroys the audio encoder settings control.

### `[pure virtual]` QAudioEncoderSettings QAudioEncoderSettingsControl::audioSettings() const

See also setAudioSettings().

### `[pure virtual]` QString QAudioEncoderSettingsControl::codecDescription(const QString &codecName) const

### `[pure virtual]` void QAudioEncoderSettingsControl::setAudioSettings(const QAudioEncoderSettings &settings)

See also audioSettings().

### `[pure virtual]` QStringList QAudioEncoderSettingsControl::supportedAudioCodecs() const

### `[pure virtual]` QList<int> QAudioEncoderSettingsControl::supportedSampleRates(const QAudioEncoderSettings &settings, bool *continuous = nullptr) const

## Macro Documentation

### QAudioEncoderSettingsControl_iid

`org.qt-project.qt.audioencodersettingscontrol/5.0`

Defines the interface name of the QAudioEncoderSettingsControl class.